#!/usr/bin/env python3

from ansible.module_utils.basic import AnsibleModule
from ansible.module_utils.validation import validate

ANSIBLE_METADATA = {
    'metadata_version': '0.0.1',
    'status': ['preview'],
    'supported_by': 'dev@mirantis.com'
}

DOCUMENTATION = r'''
---
author:
 - Mirantis (dev@mirantis.com)
module: schema_validation
short_description: 'Schema check'
version_added: "0.0.1"
description:
  - 'Schema check'
requirements: ['python3-jsonschema']
options:
  data:
    required: true
    description: ''
    type: dict
  schema:
    type: dict
    required: true
    description: ''
'''


def run_module():
    module_args = dict(
        data=dict(type='dict', required=True),
        schema=dict(type='dict', required=True),
    )

    am = AnsibleModule(
        argument_spec=module_args,
        supports_check_mode=False,
    )

    result = dict(
        changed=False,
        original_message='',
        message='',
        rc=0
    )
    am.log(msg='Start module: schema_validation')
    result['message'] = validate(data=am.params['data'],
                                 schema=am.params['schema'])['message']

    am.log(msg='Finish module: schema_validation')
    am.exit_json(**result)


if __name__ == '__main__':
    run_module()
