#!/usr/bin/python
"""
Generate a random MAC address.

* 00-16-3E allocated to xensource
* 52-54-00 used by qemu/kvm

The OUI list is available at https://standards.ieee.org/regauth/oui/oui.txt.
The remaining 3 fields are random, with the first bit of the first
random field set 0.

Ansible's random_mac may generate incorrect MAC addresses:
* https://github.com/ansible/ansible/issues/50838

"""
import random

oui = [0x52, 0x54, 0x00]

mac = oui + [
    random.randint(0x00, 0xff),
    random.randint(0x00, 0xff),
    random.randint(0x00, 0xff)]

print(':'.join(["%02x" % x for x in mac]))
